%define name gimp-plugin-reflection
%define version 0.3
%define release %mkrel 1

Summary:   Script that adds reflection to pictures with a single click (Gimp Script)
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:     Graphics
URL:       http://code.google.com/p/gimp-reflection/
Source:    %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gimp-devel gettext gtk+2-devel pkgconfig intltool
Requires:  gimp
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1
Obsoletes:	%name < %version


%description
Script that adds reflection to pictures
with a single click (Gimp Script)

%prep
%setup -q


%build


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/gimp/2.0/scripts
install -m644 gimp-reflection.scm \
%{buildroot}%{_datadir}/gimp/2.0/scripts/gimp-reflection.scm 

%find_lang %{name}


%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root, -)
%{_datadir}/gimp/2.0/scripts/gimp-reflection.scm

%changelog
* Thu Jul 29 2010 Texstar <texstar at gmail.com> 0.3-1pclos2010
- create package


